%define	module	Term-Prompt
%define name	perl-%{module}
%define version	1.03
%define release	1mdk

Summary:	%{module} module for perl 
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL or Artistic
Group:		Development/Perl
Source0:	%{module}-%{version}.tar.bz2
Url:		http://www.cpan.org/
BuildRequires:	perl-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildArch:	noarch

%description
A Perl module for prompting a user for information.

%prep
%setup -q -n %{module}-%{version} 

%build
perl Makefile.PL INSTALLDIRS=vendor </dev/null
%make
make test

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot} 
%{makeinstall_std}

%clean 
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot} 

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorlib}/*
%{_mandir}/*/*

%changelog
* Wed Nov 24 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 1.03-1mdk
- 1.03
- new (terse) description

* Thu Jun 03 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 1.01-1mdk
- 1.01
- fix perms

* Fri Aug 15 2003 Per yvind Karlsen <peroyvind@linux-mandrake.com> 0.11-4mdk
- rebuild for new perl
- drop $RPM_OPT_FLAGS, noarch..
- use %%makeinstall_std macro
- make a %%module macro

* Tue May 27 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.11-2mdk
- rebuild for new auto{prov,req}

* Fri Jan 17 2003 Franois Pons <fpons@mandrakesoft.com> 0.11-1mdk
- 0.11.

* Thu Jan 16 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.10-2mdk
- build release
- misc spec file fixes

* Sat Dec 1 2001 Oden Eriksson <oden.eriksson@linux-mandrake.com> 0.10-1mdk
- initial cooker contrib.
